Loading...
Searching...
No Matches
sip_via_s Struct Reference
Sip_via

Structure for Via header field. More...

`#include <sip.h>`

Collaboration diagram for sip_via_s:
[legend]

## Data Fields

sip_common_t | v_common [1]
| Common fragment info.
sip_via_t * | v_next
| Link to next Via header.
char const * | v_protocol
| Application and transport protocol.
char const * | v_host
| Hostname.
char const * | v_port
| Port number.
msg_param_t const * | v_params
| List of via-params.
char const * | v_comment
| Comment.
char const * | v_ttl
| Value of "ttl" parameter.
char const * | v_maddr
| Value of "maddr" parameter.
char const * | v_received
| Value of "received" parameter.
char const * | v_branch
| Value of "branch" parameter.
char const * | v_rport
| Value of "rport" parameter.
char const * | v_comp
| Value of "comp" parameter.

## Detailed Description

Structure for Via header field.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.